<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <body>
    <h1>Bibliography</h1>
    <xsl:apply-templates select="bib/*" />
  </body>
  </html>
</xsl:template>

<xsl:template match="book" >
  <h2><xsl:value-of select="title/text()"/></h2>
  <p>
    Year: <xsl:value-of select="@year" /><br/>
    <xsl:choose>     
      <xsl:when test="author">Author</xsl:when>
      <xsl:otherwise>Editor</xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(author|editor)[2]">s</xsl:if>
    :
  <ul><xsl:apply-templates select="author|editor" />
  </ul>
  Publisher: <xsl:value-of select="publisher"/><br/>
  Price: <xsl:value-of select="price"/>$
</p>
</xsl:template>
<xsl:template match="author|editor">
  <li><xsl:value-of select="first" />
    <xsl:text> </xsl:text>
    <b><xsl:value-of select="last"/></b>
  </li>
</xsl:template>

</xsl:stylesheet>
